Getting : Error:"Value is not a valid UTF-8 string." when running xpsimport smpolicy.xml during R12.5 upgrade

book

Article ID: 48981

calendar_today

Updated On:

Products

CA Single Sign On Secure Proxy Server (SiteMinder) AXIOMATICS POLICY SERVER CA Single Sign On SOA Security Manager (SiteMinder) CA Single Sign-On

Issue/Introduction

Description:

When running a 12.5 CA SiteMinder upgrade, you need to run the following command (From the Policy Server R12.5 CA SiteMinder Upgrade guide):

  • xpsimport smpolicy.xml -npass -vT

You may see the following error message:

CA-XPS:EDIT0059(WARN): Value for CA.SM::Variable.Definition[0] is not a valid UTF-8 String.

CA-XPS:IMP0025(ERROR): Update of object with XID "CA.SM::[email protected]" failed. Error: "Value is not a valid UTF-8 string.".

CA-XPS:UTIL0179(FATAL): Import failed.

Solution:

The problem is in the Federation Domain, the goal is to perform an export from a clean SiteMinder r12.5 CA SiteMinder environment and imported on the environment that needs to be upgraded (overwriting the entry that was giving us problem).

  1. From the clean r12.5 CA SiteMinder: Export the FederationWebServicesDomain

    XPSExport FedDomain -xo-replace
    CA.SM::[email protected] -npass

  2. Update the R12 environment.

    XPSImport FedDomain -npass

  3. Now upgrade the R12 Policy Store to R12.5 CA SiteMinder:

    XPSImport smpolicy.xml -npass -vT

>> Make sure that the policy server is stopped during this upgrade.

Environment

Release:
Component: SMPLC